#include<bits/stdc++.h>
using namespace std;
long long najmanji(long long a[], int n)
{
    long long t=0;
    for(int i=1;i<n;i++)
        if(abs(a[i])<abs(a[t])) t=i;
    return t;
}
int main()
{
    int n,m,sreca,r=0;
    cin>>n>>m;
    long long d[n];
    for(int i=0;i<n;i++)
        cin>>d[i];
    int p[m*2];
    for(int i=0;i<2*m;i+=2)
        cin>>p[i]>>p[i+1];
    int odnos[m];
    for(int i=0;i<n;i++)
    {
        int ind=najmanji(d,n);

    }
}